<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Listeners\Udalost;

use Seka\Portal\Modul\Terminy\Entities\Dtos\Factory\UdalostDTOFactory;
use Seka\Portal\Modul\Terminy\Events\Udalost\NovaZverejnenaUdalost;

/**
 * Class ZverejnitNovuUdalostVKalendari
 *
 * @package Seka\Portal\Modul\Terminy\Listeners\Udalost
 */
final class ZverejnitNovuUdalostVKalendari extends UdalostVKalendari
{
    /**
     * @param \Seka\Portal\Modul\Terminy\Events\Udalost\NovaZverejnenaUdalost $event
     */
    public function handle(NovaZverejnenaUdalost $event): void
    {
        $udalost = UdalostDTOFactory::make($event->udalost);

        $this->calendarService->createEvent($udalost);
    }
}
